General foo2hiperc :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
/usr/include/bits/errno.h:25:26: error [opensuse 10.2]
Posted by: hetta ()
Date: September 30, 2008 06:59AM

Trying to install on a fairly clean copy of opensuse 10.2, I get this:

h12@linux:~/drivers/foo2zjs> make
#
# Dependencies...
#
# ... OK!
#
cc -O2 -Wall -c -o zjsdecode.o zjsdecode.c
In file included from /usr/include/errno.h:36,
from zjsdecode.c:30:
/usr/include/bits/errno.h:25:26: error: linux/errno.h: No such file or directory
make: *** [zjsdecode.o] Error 1
h12@linux:~/drivers/foo2zjs>

(The previous .o to .c files converted without problems; it gets stuck on this one, and I've given up re-extracting the .gz for every "make" try).

The same .gz file installed without a hitch on the same computer, under opensuse 11 (but the oki C3200 printer refuses to print; cups says "USB printer not connected" ...)

I'm at a loss to explain why either would happen.

The same .gz file installed without a hitch on another computer under opensuse 10.2, but as the printer is elsewhere, I had no way to test if your foo2hiperc driver actually did anything (like print, just to take an example completely at random), cos suse's Yast won't show printers which aren't physically available.

If you have a clue what needs to be done, I'd be very happy to test all and any suggestions.

Thanks!



Edited 1 time(s). Last edit at 09/30/2008 07:32AM by rickrich.

Options: ReplyQuote
Re: /usr/include/bits/errno.h:25:26: error [opensuse 10.2]
Posted by: rickrich ()
Date: September 30, 2008 07:32AM

Install RPM file "glibc-devel".

Options: ReplyQuote
Re: /usr/include/bits/errno.h:25:26: error [opensuse 10.2]
Posted by: rickrich ()
Date: September 30, 2008 07:38AM

Yes. USB is supported. Use "usb:/dev/usb/lp0" for the URI.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.